Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.install.sword
Class Msg

    java.lang.Object
      org.crosswire.common.util.MsgBase
          org.crosswire.jsword.book.install.sword.Msg

     class Msg

extends MsgBase

Compile safe Msg resource settings.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: Msg.java,v 1.8 2005/02/17 12:28:18 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Field Summary
`(package private) static Msg` | `AUTH_REFUSED`
`(package private) static Msg` | `CACHE_ERROR`
`(package private) static Msg` | `CONNECT_REFUSED`
`(package private) static Msg` | `CWD_REFUSED`
`(package private) static Msg` | `DOWNLOAD_REFUSED`
`(package private) static Msg` | `INSTALL_DONE`
`(package private) static Msg` | `INSTALLED`
`(package private) static Msg` | `INSTALLING`
`(package private) static Msg` | `INVALID_URL`
`(package private) static Msg` | `JOB_CONFIG`
`(package private) static Msg` | `JOB_DOWNLOADING`
`(package private) static Msg` | `JOB_INIT`
`(package private) static Msg` | `JOB_LOGIN`
`(package private) static Msg` | `MISSING_FILE`
`(package private) static Msg` | `UNKNOWN_ERROR`
`(package private) static Msg` | `URL_AT_COUNT`
`(package private) static Msg` | `URL_COLON_COUNT`
`(package private) static Msg` | `URL_FAILED`

Constructor Summary
`private` | `Msg(String name)` Passthrough ctor

Method Summary

Methods inherited from class org.crosswire.common.util.MsgBase
`loadResources, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AUTH_REFUSED

    static final Msg AUTH_REFUSED

### CONNECT_REFUSED

    static final Msg CONNECT_REFUSED

### CWD_REFUSED

    static final Msg CWD_REFUSED

### DOWNLOAD_REFUSED

    static final Msg DOWNLOAD_REFUSED

### UNKNOWN_ERROR

    static final Msg UNKNOWN_ERROR

### CACHE_ERROR

    static final Msg CACHE_ERROR

### INVALID_URL

    static final Msg INVALID_URL

### INSTALLED

    static final Msg INSTALLED

### INSTALLING

    static final Msg INSTALLING

### INSTALL_DONE

    static final Msg INSTALL_DONE

### JOB_INIT

    static final Msg JOB_INIT

### JOB_CONFIG

    static final Msg JOB_CONFIG

### JOB_LOGIN

    static final Msg JOB_LOGIN

### JOB_DOWNLOADING

    static final Msg JOB_DOWNLOADING

### URL_FAILED

    static final Msg URL_FAILED

### URL_AT_COUNT

    static final Msg URL_AT_COUNT

### URL_COLON_COUNT

    static final Msg URL_COLON_COUNT

### MISSING_FILE

    static final Msg MISSING_FILE

Constructor Detail

### Msg

    private Msg(String name)

  Passthrough ctor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD